cordova.define("cordova-plugin-eni.Eni", function(require, exports, module) {
var exec = require('cordova/exec');

let eniCall = function (method, args, success, error) {
    if (args === undefined || args === null) {
        args = [];
    } else if (!(args instanceof Array)) {
        args = [args];
    }
    exec(success, error, 'Eni', method, args);
};

module.exports = {
    fileByOtherApp: function (params) {
        eniCall("fileByOtherApp", [params.serverHost, params.relativePath, params.fileType, !!params.rePull], params.success, params.error);
    }
};
});
