var maxlengthlimit = function (option) {
    var textArea = $("#" + option.id);
    var div = $("<div></div>").css("width", "100%");
    textArea.wrap(div);
    var maxNum = option.MaxNum;
    textArea.textSpan = $("<div></div>").css({
        "text-align": "right",
        "width": textArea.width(),
        "font-size": "12px",
        "padding": "0",
        "margin": "0"
    });
    textArea.textSpan.insertAfter(textArea);
    textArea.textSpan.hide();
    textArea.showInfo = function (txt, num, span) {
        var n = 0;
        span.show();
        if (txt == null || txt == '') n = num;
        else n = num - txt.length;
        if (n >= 0) {
            var span1="";
            if(option.required){
                $("#hint").hide();
                span1="<span class='hint' style='float: left;'>(必填项)</span>";
            }
            span.html(span1 + "<font color='gray'>还可以输入<font color='green' size='4px' style='font-family: Constantia, Georgia'>" + (n) + "</font>个字.</font>");
        } else {
            var val = textArea.val();
            var valValid = val.toString().substr(0, num);
            textArea.val(valValid);
        }
    };
    textArea.keyup(function () {
        textArea.showInfo($(this).val(), maxNum, textArea.textSpan);

    }).keydown(function () {
        textArea.showInfo($(this).val(), maxNum, textArea.textSpan);
    }).focus(function () {
        textArea.textSpan.show();
        textArea.showInfo($(this).val(), maxNum, textArea.textSpan);
    }).blur(function () {
        var val = $(this).val();
        textArea.textSpan.hide();
        $("#hint").show();
    });
};
