var index = {
    errorNum:0,
    loginSubmit: function () {
        var username = $("#inputUserName").val();
        var password = $("#inputPassword").val();
        var saveCheck=$("input[name='saveCheck']:checked").length>0?true:false;
        if (!$.trim(username)) {
            $("#mes").text("账号不能为空！");
            return;
        }
        if (!$.trim(password)) {
            $("#mes").text("密码不能为空！");
            return;
        }

        //将账号密码存储在本地
        localStorage["saveUsername"]=username;
        if(saveCheck==true){
            localStorage["savePassword"]=password;
        }else
            localStorage["savePassword"]="";
        localStorage["saveCheck"]=saveCheck;

        $("#mes").text("");
        //$('#alert').show();
        $("#subbtn").text("正在登录中...");
        $("#subbtn").attr("disabled", "disabled");
        $.ajax({
            url: sessionStorage["CCSUrl"] + "/anon/loginservlet",
            data: {username: username, password: password},
            type: "GET",
            dataType: 'json',
            cache: false,
            success: function (data) {
                //$('#alert').hide();
                $("#subbtn").text("登录");
                $("#subbtn").removeAttr("disabled");
                if (data.error) {
                    $("#mes").text(data.mes);
                } else {
                    if (data.userType && data.userType == 'MemberInfo') {
                        index.loginToTrueServer(data.basePath, data.username, password);
                    } else {
                        sessionStorage["phone"] = username;
                        window.location.href = 'state.html';
                    }
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                index.errorNum++;
                if(index.errorNum>=5){
                    index.errorNum=0;
                    $("#subbtn").text("登录");
                    $("#subbtn").removeAttr("disabled");
                    $("#mes").text("链接服务器异常,请检查网络是否畅通！");
                }else{
                    setTimeout(index.loginSubmit,1000);
                }

            }
        });

    },
    loginToTrueServer: function (basePath, username, password) {
        $("#subbtn").text("正在登录中...");
        $("#subbtn").attr("disabled", "disabled");
        $.ajax({
            url: basePath + "/anon/loginservlet",
            data: {username: username, password: password, justAuth: true},
            type: "GET",
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data.error) {
                    $("#subbtn").text("登录");
                    $("#subbtn").removeAttr("disabled");
                    $("#mes").text(data.mes);
                } else {
                    localStorage["last_basePath"] = basePath;
                    sessionStorage["basePath"] = basePath;
                    sessionStorage["username"] = username;
                    sessionStorage["password"] = password;
                    sessionStorage["globalaccount"] = $("#inputUserName").val();
                    sessionStorage["eiis-sessionid"] = data['eiis-sessionid'];
                    var fullUser = $("#inputUserName").val();

                    var goto = function (){
                        if(fullUser.indexOf('@') >= 0){
                            window.location.href = 'menu2.html';
                        } else{
                            window.location.href = 'menu.html';
                        }
                    }
                    document.addEventListener('deviceready', function () {
                        if (device.platform == "Android") {
                            goto()
                        } else if (device.platform == "iPhone" || device.platform == "iPad" || device.platform == "iPod touch" || device.platform == "iOS") {
                            var b1 = basePath.toLowerCase().replace('http://','').replace('https://','');
                            wkWebView.setCookie(b1, '/', 'eiis-sessionid', sessionStorage["eiis-sessionid"], null, function() {
                                if(localStorage.getItem("cookie_"+b1)){
                                    goto()
                                }else {
                                    var getCookies = function(){
                                        clearInterval(window.cookieHandle)
                                        wkWebView.getCookies(b1,function (data) {
                                            // alert(JSON.stringify(data))
                                            if(data && data.length>0){
                                                // alert(new Date().getTime() - window.cookieHandle_num)
                                                localStorage.setItem("cookie_"+b1,"1")
                                                goto()
                                            }else {
                                                window.cookieHandle = setInterval(getCookies,100)
                                            }
                                        },function () {
                                            window.cookieHandle = setInterval(getCookies,100)
                                        })
                                    }
                                    window.cookieHandle_num = new Date().getTime();
                                    window.cookieHandle = setInterval(getCookies,100)
                                }
                            }, function() {
                                $("#subbtn").text("登录");
                                $("#subbtn").removeAttr("disabled");
                                $("#mes").text("登录出错，请再试一次");
                            });
                        }
                    });
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                $("#subbtn").text("登录");
                $("#subbtn").removeAttr("disabled");
                $("#mes").text("链接服务器异常！");
            }
        });
    }
};

//从本地读取账号、密码
var saveUsername=localStorage["saveUsername"];
var savePassword=localStorage["savePassword"];
var saveCheck=localStorage["saveCheck"];
if(saveCheck=="false") saveCheck=false;
else saveCheck=true
$("#inputUserName").val(saveUsername);
$("#inputPassword").val(savePassword);
document.getElementsByName("saveCheck")[0].checked=saveCheck;
$("#mes").text("");
if (sessionStorage["mes"]) $("#mes").text(sessionStorage["mes"]);


sessionStorage["CCSUrl"]="http://www.e-sg.cn";
if(localStorage["last_basePath"]){
    $.ajax({
        url:  localStorage["last_basePath"]+"/public/forapp/push.js",
        type: "post",
        dataType: 'script',
        success: function (rs) {
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
        }
    });
}


$.ajax({
    url: sessionStorage["CCSUrl"] + "/js/app.js",
    type: "post",
    dataType: 'script',
    success: function (rs) {
        new app().init();
    },
    error: function (XMLHttpRequest, textStatus, errorThrown) {
    }
});

document.addEventListener('deviceready', function () {
    cordova.getAppVersion.getVersionNumber(function (version) {
        var uri = null;
        if (device.platform == "Android") {
            uri = sessionStorage["CCSUrl"] + "/products/version/android.json"
        } else if (device.platform == "iPhone"
            || device.platform == "iPad"
            || device.platform == "iPod touch"
            || device.platform == "iOS") {
            uri = sessionStorage["CCSUrl"] + "/products/version/ios.json"
        }
        if (uri != null) {
            var updateVersion = function () {
                $.ajax({
                    url: uri,
                    dataType: 'json',
                    cache: false,
                    async: false,
                    success: function (data) {
                        //alert(version + "====" + data.version);
                        if (compareVersion(version,data.version) === -1) {
                            cordova.getAppVersion.getAppName(function (appName) {
                                if (window.confirm("您好，已经有新版本的《" + appName + "》出来了，现在就下载新版吗？")) {
                                    if( navigator.app ) { // Android
                                        navigator.app.loadUrl(data.path, {openExternal: true})
                                    }else // iOS and others
                                        window.open( data.path, "_system" )

                                }
                            });
                        }
                    },
                    error: function (jqXHR) {
                        //alert(jqXHR.status + "==" + (jqXHR.status == 404) + "==" + typeof(jqXHR.status));
                        if (jqXHR.status != 404) {
                            setTimeout(updateVersion, 600000);//10分钟后再试。
                        }
                    }
                });
            };
            updateVersion();
        }
    });
}, false);

document.addEventListener("offline", function () {
    window.location='./ssp.html';
}, false);

function compareVersion(version1, version2) {
    version1 = ""+version1;
    version2 = ""+version2;
    var arr1 = version1.split('.');
    var arr2 = version2.split('.');
    //获取最大数组长度
    var maxLen = arr1.length > arr2.length ? arr1.length: arr2.length;

    for (var i = 0; i < maxLen; i++) {
        //转换数字
        var p1 = arr1[i] >> 0 || 0;
        var p2 = arr2[i] >> 0 || 0;
        if (p1 > p2) {
            return 1; //version1大
        } else if (p1 < p2) {
            return -1; //version2大
        }
    }
    return 0; //相等
}
