var lookupworknote = {
    initTable:function () {
        $('#table-javascript').bootstrapTable({
            method: 'post',
            url: sessionStorage["basePath"]+"/anon/workNoteServlet",
            sidePagination:'server',
            //height: $(window).height(),
            striped: true,
            dataType: "json",
            queryParamsType: "limit",
            queryParams: lookupworknote.queryParams,//参数
            contentType: "application/x-www-form-urlencoded",
            clickToSelect: true,    //点行选中
            singleSelect: true,    //单选
            //showColumns: true,
            //showRefresh: true,
            cache: false,
            idField:'id',
            cardView:true,   //名片格式
            //toolbar:'#customRibbon',
            toolbarAlign:"left",
            showHeader:false,   //显示表头
            //search: true,
            //pagination: true,      //分页工具
            //pageSize: 1,
            //pageList: [10, 25, 50, 100],

           /*
            minimumCountColumns: 2,*/

            columns: [{
                field:'id',
                title: 'id',
                visible:false
            }, {
                field: 'order',
                title: '序号',
                align: 'left',
                valign: 'middle',
                visible:false
            },{
                field: 'dayId',
                title: '日期',
                align: 'left',
                valign: 'middle',
                visible:false
            },{
                field:"memName",
                title: '人员',
                align: 'left',
                valign: 'middle',
                formatter:lookupworknote.tableF.memNameFormatter
            },{
                field: 'item',
                title: '工作内容',
                align: 'left',
                valign: 'middle',
                formatter:lookupworknote.tableF.itemFormatter
            }, {
                field: 'isChk',
                title: '是否完成',
                align: 'center',
                valign: 'middle',
                formatter:lookupworknote.tableF.isChkFormatter
            }, {
                field: 'state',
                title: '状态',
                align: 'center',
                valign: 'middle',
                //formatter:lookupworknote.tableF.stateFormatter
                visible:false
            }, {
                field: 'comment',
                title: '备注',
                align: 'left',
                valign: 'middle',
                formatter:lookupworknote.tableF.commentFormatter
            }]
        })
        .on('load-error.bs.table', function (e, status) {
                //$("#mes1").("加载失败");
        });
    },
    initBody:function(){
        var mydate = new Date();
        var today = mydate.getFullYear()+'-'+((mydate.getMonth()+1)<10?'0'+(mydate.getMonth()+1):(mydate.getMonth()+1) )
            +'-'+(mydate.getDate()<10?'0'+mydate.getDate():mydate.getDate());

        $("#dayS").val(today);
        $("#dayE").val(today);
        $("#dayS").change(function () {
            lookupworknote.refreshTable();
        });
        $("#dayE").change(function () {
            lookupworknote.refreshTable();
        });

        $("#search_").on('click',function(){
            i=0;
            lookupworknote.refreshTable();
        });

        $(window).scroll(function() {
            //当内容滚动到底部时加载新的内容
            if ($(this).scrollTop() + $(window).height() + 40 >= $(document).height() && $(this).scrollTop() > 40) {
                lookupworknote.refreshTable();
                //$('body,html').animate({scrollTop:60},100);
            }
        });
    },
    queryParams:function(params){
        i+=pageSize;
        return {
            username: sessionStorage["username"],
            password: sessionStorage["password"],
            action:"getListByMemName",
            dayS:$("#dayS").val(),
            dayE:$("#dayE").val(),
            serchKey:$("#search_key").val(),
            limit: i,
            offset:0
        }
    },
    refreshTable:function(){
        $('#table-javascript').bootstrapTable('refresh', {silent: true});
    },
    tableF: {
        isChkFormatter:function(value,row,index){
            var isChk = (value == "true" ? "完成" : "未完成");
            var html="";
            if( row.state == 1 ){
                html ="补写";
            }else if( row.state == 2 ){
                html ="提前";
            }else{
                html ="正常";
            }
            return  isChk+"&nbsp;&nbsp;&nbsp;"+html
        },
        stateFormatter:function(value,row,index){
            var html;
            if(value == 1 ){
                html ="补写";
            }else if(value == 2 ){
                html ="提前";
            }else{
                html ="正常";
            }
            return html;
        },
        itemFormatter:function(value,row,index){
            var item = '<div class="item_content" >'+value+'</div>';
            return item;
        },
        commentFormatter:function(value,row,index){
            var item = '<div class="item_comment" >'+value+'</div>';
            return item;
        },
        memNameFormatter:function(value,row,index){
            var item = '<div class="item_memN" >'+row.order+".&nbsp;"+value+"&nbsp;"+ row.dayId +'</div>';
            return item;
        }
    },
    exitApp: function(){
        navigator.app.exitApp();
    },
    logout: function(){
        sessionStorage["basePath"]="";
        sessionStorage["username"]="";
        sessionStorage["password"]="";
        sessionStorage["globalaccount"]="";
        window.location.href = '../index.html';
    },
    goMenuPage:function(){
        window.location.href = '../menu.html';
    }
};
var i=0;  var pageSize=10;
window.setTimeout( "lookupworknote.initBody(); lookupworknote.initTable();",200);

