var writeworknote = {
    initTable:function () {
        $("#mes").text("");
        $("#mes1").text("");
        $('#table-javascript').bootstrapTable({
            method: 'post',
            url: sessionStorage["basePath"]+"/anon/workNoteServlet",
            sidePagination:'server',
            //height: $(window).height(),
            striped: true,
            dataType: "json",
            pagination: false,      //分页工具
            queryParamsType: "limit",
            queryParams: writeworknote.queryParams,//参数
            contentType: "application/x-www-form-urlencoded",
            clickToSelect: true,    //点行选中
            singleSelect: true,    //单选
            //showColumns: true,
            //showRefresh: true,
            cache: false,
            idField:'id',
            cardView:true,   //名片格式
            toolbar:'#customRibbon',
            toolbarAlign:"left",
            showHeader:false,   //显示表头


           /*
            dataType:'json',
            height: 400,
            striped: true,
            //pagination: true,
            //pageSize: 50,
            //pageList: [10, 25, 50, 100, 200],
            search: true,
            minimumCountColumns: 2,*/

            columns: [{
                field:'id',
                title: 'id',
                visible:false
            }, {
                field: 'item',
                title: '工作内容',
                align: 'left',
                valign: 'middle',
                formatter:writeworknote.tableF.itemFormatter
            }, {
                field: 'isChk',
                title: '是否完成',
                align: 'center',
                valign: 'middle',
                formatter:writeworknote.tableF.isChkFormatter
            }, {
                field: 'state',
                title: '状态',
                align: 'center',
                valign: 'middle',
                //formatter:writeworknote.tableF.stateFormatter
                visible:false
            }, {
                field: 'comment',
                title: '备注',
                align: 'left',
                valign: 'middle',
                formatter:writeworknote.tableF.commentFormatter
            }]
        })
        .on('click-row.bs.table', function (e, row) {
            e.preventDefault();
            var middleDiv=document.getElementById("dialog_1");
            var divHeight=middleDiv.offsetHeight;
            var bodyHeight=$(window).height() ;
            if(bodyHeight>divHeight)
                middleDiv.style.marginTop=(bodyHeight-divHeight)/2+"px";
            else{
                middleDiv.style.marginTop=0;
                middleDiv.style.top=0;
            }
            $('#delOrUp').addClass('is-visible');
            curRow=row;
        })
        .on('load-error.bs.table', function (e, status) {
                //$("#mes1").text("加载失败");
        });
    },
    initBody:function(){
        sessionStorage["item"]="";
        sessionStorage["isChk"]="";
        sessionStorage["comment"]="";
        sessionStorage["itemId"]="";
        $("#mes1").text("");
        var mydate = new Date();
        var day= writeworknote.getUrlParam("datetimepicker");
        if(!day){
            day = mydate.getFullYear()+'-'+((mydate.getMonth()+1)<10?'0'+(mydate.getMonth()+1):(mydate.getMonth()+1) )
                +'-'+(mydate.getDate()<10?'0'+mydate.getDate():mydate.getDate());
        }
        $("#datetimepicker").val(day);
        $("#datetimepicker").change(function () {
            writeworknote.refreshTable();
        });

        $('.close_ , .cd-popup').on('click', function(event){
            $('.cd-popup').removeClass('is-visible');
        });
        $('#update_').on('click', function(event){
            $('.cd-popup').removeClass('is-visible');
            var param="";
            sessionStorage["item"]=curRow.item;
            sessionStorage["isChk"]=curRow.isChk;
            sessionStorage["comment"]=curRow.comment;
            sessionStorage["itemId"]=curRow.id;

            window.location.href = 'writeform.html?action=update'+"&datetimepicker="+$("#datetimepicker").val();
        });
        $('#del_').on('click', function(event){
            $('.cd-popup').removeClass('is-visible');
            $.ajax({
                url: sessionStorage["basePath"]+"/anon/workNoteServlet",
                data:{
                    username: sessionStorage["username"],
                    password: sessionStorage["password"],
                    action:'deleteItem',
                    itemId:curRow.id
                },
                type: "POST",
                dataType: 'json',
                success: function (data) {
                    if (!data.error) {
                        writeworknote.refreshTable();
                    }
                }
            });
        });
        $('#add_').on('click',function(event){
            if(sessionStorage["flag"]=="true"){
                sessionStorage["flag"]=false;
                return;
            }
            sessionStorage["flag1"]=true;
            window.location.href = 'writeform.html?action=add'+"&datetimepicker="+$("#datetimepicker").val();
        });
    },
    queryParams:function(params){
        return {
            username: sessionStorage["username"],
            password: sessionStorage["password"],
            action:"getCurrList",
            dayStr:$("#datetimepicker").val()
        }
    },
    refreshTable:function(){
        $('#table-javascript').bootstrapTable('refresh', {silent: true});
    },
    tableF: {
        isChkFormatter:function(value,row,index){
            var isChk = (value == "true" ? "完成" : "未完成");
            var html="";
            if( row.state == 1 ){
                html ="补写";
            }else if( row.state == 2 ){
                html ="提前";
            }else{
                html ="正常";
            }
            return  isChk+"&nbsp;&nbsp;&nbsp;"+html
        },
        stateFormatter:function(value,row,index){
            var html;
            if(value == 1 ){
                html ="补写";
            }else if(value == 2 ){
                html ="提前";
            }else{
                html ="正常";
            }
            return html;
        },
        itemFormatter:function(value,row,index){
            var item = '<div class="item_content" >'+value+'</div>';
            return item;
        },
        commentFormatter:function(value,row,index){
            var item = '<div class="item_comment" >'+value+'</div>';
            return item;
        }
    },
    exitApp: function(){
        navigator.app.exitApp();
    },
    logout: function(){
        sessionStorage["basePath"]="";
        sessionStorage["username"]="";
        sessionStorage["password"]="";
        sessionStorage["globalaccount"]="";
        window.location.href = '../index.html';
    },
    goMenuPage:function(){
        if(sessionStorage["flag"]=="true"){
            sessionStorage["flag"]=false;
            return;
        }
        window.location.href = '../menu.html';
    },
    getUrlParam: function (name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
        var r = window.location.search.substr(1).match(reg); //匹配目标参数
        if (r != null) return unescape(r[2]);
        return null; //返回参数值
    }
};
var curRow;
window.setTimeout( "writeworknote.initBody();writeworknote.initTable();",100);


